跳到內容
開放式卡斯塔利控制台

影片

seedance-2.5 API

透過 Modelflare 非同步視訊路由使用準確的 seedance-2.5 模型 ID。

使用準確的型號 ID seedance-2.5。模型欄位必須與此頁面完全相符。

範例輸出seedance-2.5POST /v1/videos5.1s

參數: duration=5resolution=1080pratio=16:9

提示詞: A small research submersible descends through the deep ocean, its headlights sweeping over a drifting field of bioluminescent jellyfish and a sunken stone archway. Camera follows from behind, particles float in the beams, blue-black water, calm and mysterious, photoreal, no text.

產生此樣本的請求
{
"model": "seedance-2.5",
"prompt": "A small research submersible descends through the deep ocean, its headlights sweeping over a drifting field of bioluminescent jellyfish and a sunken stone archway. Camera follows from behind, particles float in the beams, blue-black water, calm and mysterious, photoreal, no text.",
"seconds": "5",
"duration": 5,
"resolution": "1080p",
"ratio": "16:9",
"aspect_ratio": "16:9"
}

將 Modelflare API 金鑰與 https://modelflare.dev/v1 結合使用。網關入口點是POST /v1/videos。

HTTP
Authorization: Bearer YOUR_MODELFLARE_API_KEY
終端機視窗bash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5",
"content": [{"type": "text", "text": "A white cat runs through a neon-lit street in the rain, cinematic tracking shot"}],
"resolution": "720p",
"duration": 5,
"generate_audio": false
}'

儲存任務ID。輪詢 GET /v1/videos/{task_id} 並使用 GET /v1/videos/{task_id}/content 下載。結果 URL 可能會過期,因此請立即傳輸檔案。

終端機視窗bash
curl https://modelflare.dev/v1/videos/TASK_ID \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY"

Seedance 將 content[] 用於文字、框架和參考媒體;單獨的Seedance資產管理合約是獨立記錄的。

Seedance 使用一個非同步多模態包絡。將文字和媒體放入content[];媒體角色選擇第一幀/最後一幀或參考工作流程。

場 必填 註釋
model 是 seedance-2.5
content[] 是 text、image_url、video_url 和 audio_url;使用role來識別媒體目的
resolution 否 480p / 720p / 1080p
ratio 否 21:9 / 16:9 / 4:3 / 1:1 / 3:4 / 9:16 / adaptive
duration 否 -1 自動計時,或 4–30 秒
generate_audio 否 產生同步對話、效果與背景音頻
tools 否 僅在官方模型頁面支援的情況下使用web_search
watermark 否 是否添加浮水印
omni_reference_task_type 否 auto / reference / edit / extend;編輯和擴展施加更嚴格的比率/持續時間規則
output_format 否 mp4 / mov
return_last_frame 否 以影像形式傳回最終幀

此型號支援 480p、720p 和 1080p。使用 -1 自動計時或選擇 4–30 秒。一個請求最多可以組合 30 個影像、10 個視訊和 10 個音訊剪輯。普通參考產生接受明確的比率或adaptive;編輯、擴展和第一幀/最後一幀工作流程需要 ratio: "adaptive",編輯需要 duration: -1。虛擬人像圖片必須先上傳至素材庫;Modelflare 不提供真人認證。

Seedance 2.5 根據媒體角色和任務類型對參考、編輯、擴充和框架引導的工作流程進行分類。這些範例在使用 Modelflare 的端點和模型 ID 的同時保留了官方合約。

終端機視窗bash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5",
"omni_reference_task_type": "reference",
"content": [
{"type":"text","text":"@image1 performs the movement from @video1, paced to @audio1"},
{"type":"image_url","image_url":{"url":"https://example.com/character.jpg"},"role":"reference_image"},
{"type":"video_url","video_url":{"url":"https://example.com/motion.mp4"},"role":"reference_video"},
{"type":"audio_url","audio_url":{"url":"https://example.com/music.mp3"},"role":"reference_audio"}
],
"ratio": "16:9", "duration": 15, "output_format": "mp4"
}'
終端機視窗bash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5", "omni_reference_task_type": "edit",
"content": [
{"type":"text","text":"Remove the background pedestrians but preserve the main subject"},
{"type":"video_url","video_url":{"url":"https://example.com/source.mov"},"role":"reference_video"}
],
"ratio": "adaptive", "duration": -1, "output_format": "mov"
}'
終端機視窗bash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5", "omni_reference_task_type": "extend",
"content": [{"type":"video_url","video_url":{"url":"https://example.com/source.mp4"},"role":"reference_video"}],
"ratio": "adaptive", "duration": 11, "output_format": "mov"
}'
終端機視窗bash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5", "content": [
{"type":"text","text":"The subject smiles while the camera makes a smooth orbit"},
{"type":"image_url","image_url":{"url":"https://example.com/first.jpg"},"role":"first_frame"},
{"type":"image_url","image_url":{"url":"https://example.com/last.jpg"},"role":"last_frame"}
],
"ratio": "adaptive", "duration": -1, "return_last_frame": true
}'

無效模型參數傳回帶有請求 ID 的 4xx。非同步任務建立成功後也可能進入失敗;使用輪詢回應中的 error_code 和 error_message 作為最終任務原因。不要使用不同的 JSON 形狀重試相同的請求。

此頁面涵蓋 Modelflare 模型產生和編輯呼叫。搜尋或地圖豐富、語音管理和元素庫管理是此公共模型呼叫表面之外的資源 API,並且不是必需的請求欄位。

此模型使用基於令牌的計費。請參閱 型號定價頁面 ,以了解當前客戶價格、參考標價和完整規格。

型號 ID 差異
seedance-2.5 本頁記錄的模型。
媒體合約 · v1

合約 ID: media.seedance-2-5.v1適配器: video.seedance.25.v1@v1指紋: 37c632491a1b23a8dd328d9b89b3f14cd4a7c163ab55f73f27aefb4e0418caa5

官方來源: ByteDance / Volcengine

合約參數

意圖字段控制項選項
ratioselect16:9 / 9:16 / 1:1 / 4:3 / 3:4 / 21:9 / adaptive
resolutionselect480p / 720p / 1080p
durationselect-1 / 4 / 5 / 6 / 7 / 8 / 9 / 10 / 11 / 12 / 13 / 14 / 15 / 16 / 17 / 18 / 19 / 20 / 21 / 22 / 23 / 24 / 25 / 26 / 27 / 28 / 29 / 30
audioswitch—
workflowselectauto / reference / edit / extend
output_formatselectmp4 / mov
return_last_frameswitch—

支援的功能

  • allowed_values · ratio · 16:9, 9:16, 1:1, 4:3, 3:4, 21:9, adaptive
  • allowed_values · resolution · 480p, 720p, 1080p
  • allowed_values · duration · -1, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30
  • max_assets · reference_asset_ids · 50
  • prompt_optional_with_reference · prompt

結構化請求範例

text

意圖

{
  "audio": false,
  "duration": -1,
  "output_format": "mp4",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "16:9",
  "resolution": "480p",
  "return_last_frame": false,
  "workflow": "auto"
}

提供者請求

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    }
  ],
  "duration": -1,
  "generate_audio": false,
  "model": "seedance-2.5",
  "output_format": "mp4",
  "ratio": "16:9",
  "resolution": "480p",
  "return_last_frame": false,
  "seconds": "-1"
}

reference

意圖

{
  "audio": false,
  "duration": -1,
  "output_format": "mp4",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "16:9",
  "resolution": "480p",
  "return_last_frame": false,
  "workflow": "reference"
}

提供者請求

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    },
    {
      "image_url": {
        "url": "https://example.com/reference.png"
      },
      "role": "reference_image",
      "type": "image_url"
    }
  ],
  "duration": -1,
  "generate_audio": false,
  "model": "seedance-2.5",
  "omni_reference_task_type": "reference",
  "output_format": "mp4",
  "ratio": "16:9",
  "resolution": "480p",
  "return_last_frame": false,
  "seconds": "-1"
}

edit

意圖

{
  "audio": false,
  "duration": -1,
  "output_format": "mp4",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "adaptive",
  "resolution": "480p",
  "return_last_frame": false,
  "workflow": "edit"
}

提供者請求

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    },
    {
      "role": "reference_video",
      "type": "video_url",
      "video_url": {
        "url": "https://example.com/reference.mp4"
      }
    }
  ],
  "duration": -1,
  "generate_audio": false,
  "model": "seedance-2.5",
  "omni_reference_task_type": "edit",
  "output_format": "mp4",
  "ratio": "adaptive",
  "resolution": "480p",
  "return_last_frame": false,
  "seconds": "-1"
}

extend

意圖

{
  "audio": false,
  "duration": -1,
  "output_format": "mp4",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "adaptive",
  "resolution": "480p",
  "return_last_frame": false,
  "workflow": "extend"
}

提供者請求

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    },
    {
      "role": "reference_video",
      "type": "video_url",
      "video_url": {
        "url": "https://example.com/reference.mp4"
      }
    }
  ],
  "duration": -1,
  "generate_audio": false,
  "model": "seedance-2.5",
  "omni_reference_task_type": "extend",
  "output_format": "mp4",
  "ratio": "adaptive",
  "resolution": "480p",
  "return_last_frame": false,
  "seconds": "-1"
}